# start with vertices 0 and 1
# For vertex i in 2...n, pick two random neighbours in 0...i-1,
# and add random weight edges to those.
# Then shuffle the names of the vertices
import random

size = 25000
graph = [[] for i in range(size)]


def connect(i, j, w):
    graph[i].append((j, w))
    graph[j].append((i, w))


def rand():
    return random.randint(0, 12)


connect(0, 1, rand())

for i in range(2, size):
    a = i - 1
    b = i - 2
    connect(i, a, rand())
    connect(i, b, rand())

edges = 0
for n_id, n in enumerate(graph):
    for trails in n:
        edges += 1

print(size, edges)
for n_id, n in enumerate(graph):
    for trails in n:
        print(n_id, trails[0], trails[1])


